Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/24809/?format=api
{ "ob_id": 24809, "uuid": "88f3a3de77354692aeada98c5dad599b", "title": "APHH: Atmospheric dispersion model footprint plots made at the IAP-Beijing site during the summer and winter campaigns", "abstract": "The Met Office's Numerical Atmospheric-dispersion Modelling Environment (NAME) was used at the University of Leicester to produce atmospheric dispersion footprints centred on Beijing for use by the projects under the Atmospheric Pollution & Human Health in a Chinese Megacity (APHH) programme. These footprints are created by model runs in which thousands of particles are released from the chosen location and are tracked backwards in time.", "keywords": "APHH, NAME, dispersion, Beijing", "publicationState": "published", "dataPublishedTime": "2017-06-16T12:46:19", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/24810/?format=api", "dataPath": "/badc/aphh/data/beijing/name-plots", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 61558635435, "numberOfFiles": 152344, "fileFormat": "Data are PNG formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/6728/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1830/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22383/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22385/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22386/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22387/?format=api" ], "dataLineage": "Data produced by APHH project participants at University of Leicester and uploaded to CEDA archive", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/24808/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/24817/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101573/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101574/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101575/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101576/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/104801/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101600/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/104970/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111638/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101572/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/14521/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }